View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000653OpenFOAM[All Projects] Bugpublic2012-09-25 17:322012-10-08 10:56
Reportermturcios 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOpenSUSEOS Version11.4
Product Version2.1.x 
Target VersionFixed in Version 
Summary0000653: dynamicFvMesh; single boundary movement causes inconsistency in deforming cells
DescriptionWhen only a subset of cells in the mesh are being deformed in a single direction, the pressure and temperature are not consistent. Compressing these cells for a closed domain causes the temperature in them to decrease when it should increase.
Steps To Reproduce1. Compile sprayDyMFoam from an earlier bug report: http://www.openfoam.org/mantisbt/view.php?id=638 [^]
2. Extract the case aachenBombSingleCellMove
3. Run blockMesh and sprayDyMFoam
TagsNo tags attached.
Attached Filesgz file icon aachenBombSingleCellMove.tar.gz [^] (6,288 bytes) 2012-09-25 17:32
gz file icon sprayDyMFoam.tar.gz [^] (4,858 bytes) 2012-10-07 23:10
gz file icon kivaTestSingleCell.tar.gz [^] (4,816 bytes) 2012-10-07 23:15

- Relationships

-  Notes
(0001704)
henry (manager)
2012-10-07 20:37

It appears that there is a bug in the sprayDyMFoam posted here. Try reproducing this problem with a solver we release with OpenFOAM e.g. engineFoam and supply a test case for us to study.
(0001705)
mturcios (reporter)
2012-10-07 23:08
edited on: 2012-10-07 23:16

I'll be on vacation for the next three weeks; I'm uploading a version that works. I also tried to make a version of the kivaTutorial that uses fvMotionSolverEngineMesh, but couldn't figure the right boundary condition for piston. You'll need to copy over the otape17 file.

I'll be on vacation for the next 3 weeks, so I won't be monitoring/replying until I get back on the 25th. Cheers and thanks for looking into this!

(0001710)
henry (manager)
2012-10-08 10:56

Thanks for the bug report.
Resolved by commit 037278d5af96578835e55155bb9dbf9ebfe74e99

Note that you will need to change dpdt in pEqn.H in your sprayDyMFoam:

dpdt = fvc::ddt(p) - fvc::div(fvc::meshPhi(rho, U), p);

- Issue History
Date Modified Username Field Change
2012-09-25 17:32 mturcios New Issue
2012-09-25 17:32 mturcios File Added: aachenBombSingleCellMove.tar.gz
2012-10-07 20:37 henry Note Added: 0001704
2012-10-07 23:08 mturcios Note Added: 0001705
2012-10-07 23:09 mturcios Note Edited: 0001705 View Revisions
2012-10-07 23:10 mturcios File Added: sprayDyMFoam.tar.gz
2012-10-07 23:15 mturcios File Added: kivaTestSingleCell.tar.gz
2012-10-07 23:16 mturcios Note Edited: 0001705 View Revisions
2012-10-07 23:16 mturcios Note Edited: 0001705 View Revisions
2012-10-08 10:56 henry Note Added: 0001710
2012-10-08 10:56 henry Status new => resolved
2012-10-08 10:56 henry Resolution open => fixed
2012-10-08 10:56 henry Assigned To => henry